Bug 1479585 - ceph: When using ceph-ansible, mon host is not set from the public_network block
ceph: When using ceph-ansible, mon host is not set from the public_network b...
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
urgent Severity urgent
: rc
: 12.0 (Pike)
Assigned To: Giulio Fidente
Alexander Chuzhoy
: AutomationBlocker, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 17:48 EDT by Alexander Chuzhoy
Modified: 2017-09-05 20:39 EDT (History)
10 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170805163048.el7ost.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1709485 None None None 2017-08-08 17:49 EDT
OpenStack gerrit 491929 None None None 2017-08-08 17:55 EDT

  None (edit)
Description Alexander Chuzhoy 2017-08-08 17:48:39 EDT
ceph:  When using ceph-ansible, mon host is not set from the public_network block

Environment:
instack-undercloud-7.2.1-0.20170729010705.el7ost.noarch
openstack-tripleo-heat-templates-7.0.0-0.20170805163045.el7ost.noarch
openstack-puppet-modules-10.0.0-0.20170315222135.0333c73.el7.1.noarch
python-cephfs-10.2.7-28.el7cp.x86_64
ceph-mon-10.2.7-28.el7cp.x86_64
ceph-mds-10.2.7-28.el7cp.x86_64
libcephfs1-10.2.7-28.el7cp.x86_64
puppet-ceph-2.3.1-0.20170805094345.868e6d6.el7ost.noarch
ceph-common-10.2.7-28.el7cp.x86_64
ceph-osd-10.2.7-28.el7cp.x86_64
ceph-selinux-10.2.7-28.el7cp.x86_64
ceph-base-10.2.7-28.el7cp.x86_64
ceph-radosgw-10.2.7-28.el7cp.x86_64



The mon_host list in ceph.conf is set from the monitor_interface parameter in ceph-ansible which is hardcoded to br-ex

We should probably use monitor_address_block instead and pass the public_network subnet or expose monitor_interface in THT so that people can set it
Comment 2 Alexander Chuzhoy 2017-08-18 11:31:13 EDT
Environment:
openstack-tripleo-heat-templates-7.0.0-0.20170805163048.el7ost.noarch

The reported issue doesn't reproduce.

Note You need to log in before you can comment on or make changes to this bug.